0

Somehow my appcenter broken since 1 month or so. Appcenter not showing Trending & always showing same 2 apps on Recently Updated. Is there a way to fix this without reinstalling Elementary OS? Is this bug related with my problem?: https://bugs.launchpad.net/ubuntu/+source/appstream/+bug/1848387

appcenter

~ $ dpkg-query --showformat='${Package}:\t${Version}\n' --show appstream appcenter appstream-data-pantheon
appcenter:  3.2.1+r2106+pkg83~ubuntu5.0.1
appstream:  0.12.9-1+elementary11~ubuntu5.1.1
appstream-data-pantheon:    5.0-0+r82~ubuntu5.1.1
 ~ $ head -2 /etc/os-release
NAME="elementary OS"
VERSION="5.1 Hera"
 ~ $ 

Appcenter terminal output:

$ io.elementary.appcenter

** (io.elementary.appcenter:4997): CRITICAL **: 00:59:45.701: PackageKitBackend.vala:163: Unable to add data: MDB_BAD_VALSIZE: Unsupported size of key/DB name/data, or wrong DUPFIXED size

** (io.elementary.appcenter:4997): WARNING **: 00:59:46.165: FlatpakBackend.vala:448: Errors found in flatpak appdata, some components may be incomplete/missing: Unable to add data: MDB_BAD_VALSIZE: Unsupported size of key/DB name/data, or wrong DUPFIXED size

** (io.elementary.appcenter:4997): CRITICAL **: 00:59:56.557: PackageKitBackend.vala:163: Unable to add data: MDB_BAD_VALSIZE: Unsupported size of key/DB name/data, or wrong DUPFIXED size

** (io.elementary.appcenter:4997): WARNING **: 01:00:00.644: FlatpakBackend.vala:448: Errors found in flatpak appdata, some components may be incomplete/missing: Unable to add data: MDB_BAD_VALSIZE: Unsupported size of key/DB name/data, or wrong DUPFIXED size

Trying to re-install appstream-data:

$ sudo apt install --reinstall appstream-data-pantheon appstream-data-pantheon-icons appstream-data-pantheon-icons-hidpi
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti      
0 paket yükseltilecek, 0 yeni paket kurulacak, 3 paket yeniden kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.
498 kB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 0 B ek disk alanı kullanılacak.
İndir: 1 http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic/main amd64 appstream-data-pantheon all 5.0-0+r82~ubuntu5.1.1 [197 kB]
İndir: 2 http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic/main amd64 appstream-data-pantheon-icons all 5.0-0+r82~ubuntu5.1.1 [205 kB]
İndir: 3 http://ppa.launchpad.net/elementary-os/stable/ubuntu bionic/main amd64 appstream-data-pantheon-icons-hidpi all 5.0-0+r82~ubuntu5.1.1 [96,4 kB]
1 sn.'de 498 kB alındı (418 kB/s)                             
(Veritabanı okunuyor ... 181951 dosya veya dizin kurulu durumda.)
Paket açılacak: .../appstream-data-pantheon_5.0-0+r82~ubuntu5.1.1_all.deb ...
Paket açılıyor: appstream-data-pantheon (5.0-0+r82~ubuntu5.1.1) üzerine (5.0-0+r82~ubuntu5.1.1) ...
Paket açılacak: .../appstream-data-pantheon-icons_5.0-0+r82~ubuntu5.1.1_all.deb ...
Paket açılıyor: appstream-data-pantheon-icons (5.0-0+r82~ubuntu5.1.1) üzerine (5.0-0+r82~ubuntu5.1.1) ...
Paket açılacak: .../appstream-data-pantheon-icons-hidpi_5.0-0+r82~ubuntu5.1.1_all.deb ...
Paket açılıyor: appstream-data-pantheon-icons-hidpi (5.0-0+r82~ubuntu5.1.1) üzerine (5.0-0+r82~ubuntu5.1.1) ...
Ayarlanıyor: appstream-data-pantheon (5.0-0+r82~ubuntu5.1.1) ...
Ayarlanıyor: appstream-data-pantheon-icons (5.0-0+r82~ubuntu5.1.1) ...
Ayarlanıyor: appstream-data-pantheon-icons-hidpi (5.0-0+r82~ubuntu5.1.1) ...
Tetikleyiciler işleniyor: appstream (0.12.9-1+elementary11~ubuntu5.1.1) ...
dpkg: hata: '/usr/share/app-info/yaml /usr/share/app-info/icons' sürümünü hatalı söz dizimine sahip: sürüm dizgisinde boşluk karakterleri var
(null)
 ~ $

My appstream status:

$ sudo appstreamcli status
AppStream Durumu:
Sürüm: 0.12.9

Dağıtım üst verisi:
 /usr/share/app-info
  - YAML: 2
  - Simge Kümeleri:
     elementary-bionic-extra
     elementary-stable-bionic-main

 /var/lib/app-info
  - YAML: 11
  - Simge Kümeleri:
     ubuntu-bionic-main
     ubuntu-bionic-universe
     ubuntu-bionic-multiverse
     appcenter-bionic-main
     ubuntu-bionic-security-main
     ubuntu-bionic-updates-main
     ubuntu-bionic-security-universe
     ubuntu-bionic-security-multiverse
     ubuntu-bionic-updates-universe
     ubuntu-bionic-updates-multiverse
     ubuntu-bionic-backports-universe

 /var/cache/app-info
  - Boş.

Üst veri dosyaları:
  - 62 bileşen bulundu.
  - Eski veriyollarında 8 bileşen bulundu.

Özet: Error while loading the metadata pool: Unable to add data: MDB_BAD_VALSIZE: Unsupported size of key/DB name/data, or wrong DUPFIXED size
 ~ $
  • I think the problem is MDB_BAD_VALSIZE. Can you try purge and resintall Appcenter sudo aptitude purge appstream and sudo apt install appcenter – LinkPhoenix Dec 17 '19 at 12:01
  • I tried that. I also tried # appstreamcli refresh --force and got (null) output – queeup Dec 17 '19 at 21:39
  • 1
    Let me share reported issue link: github.com/elementary/triage/issues/6 – queeup Dec 23 '19 at 14:21
0

Apparently this is a appstream package bug. And resolved. Developer of appstream is explained very well.

Related issue reports:

| improve this answer | |
-1
sudo apt remove --purge appcenter appstream

sudo apt install appcenter 
| improve this answer | |
  • I did that. Not solving the problem unfortunately. – queeup Dec 24 '19 at 22:04
  • Your participation is much appreciated👍 Let me inform you that we love informative answers with step by step guide. Please try to post detailed information so that it is simple enough for someone with zero technical knowledge to easily understand. – Hasan Dec 26 '19 at 15:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.